#include "droptarget.h"
#include <vector>

UDropTarget::UDropTarget(UFiletree *oParentTree)
: wxFileDropTarget()
{
	this->oTree = oParentTree;
}

bool UDropTarget::OnDropFiles(wxCoord oX, wxCoord oY, const wxArrayString &sFilenames)
{
	std::vector<wxString> sNewFilenames;
	for (unsigned int i = 0; i < sFilenames.GetCount(); i++)
	{
		sNewFilenames.push_back(sFilenames[i]);
	}
	this->oTree->dropFiles(sNewFilenames, oX, oY);
	return true;
}

/*
wxDragResult UDropTarget::OnData(wxCoord x, wxCoord y, wxDragResult def)
{
	printf("Hmmm!\n");
	return wxDragNone;
}
*/

