#ifndef PROCESSBOX_H
#define PROCESSBOX_H
#include <wx/wx.h>
#include <wx/process.h>

class UProcessBox : public wxTextCtrl
{
public:
	UProcessBox(wxWindow *oParent);
	void OnTimer(wxTimerEvent &oEvent);
	void OnProcessDeath(wxProcessEvent &oEvent);
	void processInput();
	void setCommand(const wxString &sCommand);

	void run();
	
private:
	wxString sRunString;
	
	wxTimer *oTimer;
	wxProcess *oProcess;
	
	DECLARE_EVENT_TABLE()
};

#endif

