#ifndef UTHREAD_H
#define UTHREAD_H
#include <wx/wx.h>
#include <vector>
class UFiletree;

class UThread : public wxThread
{
public:
	UThread(UFiletree *oNewTree);
	virtual void *Entry();
	
	void checkChanges();
	
private:
	UFiletree *oTree;
	
	bool checkTime(const wxString &sDir);
	
	std::vector<wxString> sDirVector;
	std::vector<wxDateTime> oTimeVector;
};

#endif

